Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Plugin Activation
Plugin Activation [message #908637] Wed, 05 September 2012 17:52 Go to next message
Rui Carlos  Gonçalves is currently offline Rui Carlos Gonçalves
Messages: 28
Registered: July 2009
Junior Member

I'm developing some plugins that add actions to the popup menu when files are selected.
The plugins are working fine when I test them using the "Run as Eclipse Application".

However, when I export the plugins, the actions are not shown in the popup menu. Looking at "Eclipse Platform Installation Details > Configuration", in "Plug-in Registry", I see that the plugins are listed as "Installed", whereas other plugins appear as "Active" or "Starting".

So, I assume that the problem is that the plugins are not being activated. I've already tried to use the "org.eclipse.ui.startup" extension point, with no success.

Does anybody know how to fix this problem?

The plugin.xml code I'm using is shown below.

Thanks in advance.

<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension point="org.eclipse.ui.popupMenus">
      <objectContribution
            adaptable="false"
            id="Arch.sync.mod1"
            objectClass="org.eclipse.core.resources.IFile">
         <menu
               id="Arch.menu"
               path="additions"
               label="Arch">
            <separator name="group1" />
         </menu>
         <action
               class="arch.sync.actions.SyncAction"
               id="Arch.sync.action1"
               label="Sync Arch"
               menubarPath="Arch.menu/group1">
         </action>
      </objectContribution>
   </extension>
   <extension point="org.eclipse.ui.startup">
     <startup class="arch.sync.Startup" />
   </extension>
</plugin>


Re: Plugin Activation [message #908987 is a reply to message #908637] Thu, 06 September 2012 11:02 Go to previous messageGo to next message
Martin Skorsky is currently offline Martin Skorsky
Messages: 112
Registered: July 2009
Senior Member
If the plug-ins are shown as 'installed', some dependencies are not resolved.
Don't try to activate bundles in your code. That's done by Equinox.

To resolve the missing dependencies check the dependencies of the plug-in which is only 'installed'. This can be done with the Plug-in Dependencies view.
Re: Plugin Activation [message #909012 is a reply to message #908637] Thu, 06 September 2012 12:16 Go to previous messageGo to next message
Joseph Carroll is currently offline Joseph Carroll
Messages: 174
Registered: May 2012
Location: Milwaukee, WI
Senior Member

Not sure what your particular situation is, but remember that the "Actions" framework has been deprecated. Especially when you are writing new products, I would recommend using commands.
http://www.vogella.com/articles/EclipseCommands/article.html#contextmenu

For what its worth...

Take care,

JD
Re: Plugin Activation [message #909118 is a reply to message #909012] Thu, 06 September 2012 15:10 Go to previous message
Rui Carlos  Gonçalves is currently offline Rui Carlos Gonçalves
Messages: 28
Registered: July 2009
Junior Member

I haven't figured out the problem yet, but I tested the plugins with Eclipse 4.2 and they are working. So, I guess for now I will just use Eclipse 4.2.


Joseph Carroll wrote on Thu, 06 September 2012 13:16
Not sure what your particular situation is, but remember that the "Actions" framework has been deprecated. Especially when you are writing new products, I would recommend using commands.
http://www.vogella.com/articles/EclipseCommands/article.html#contextmenu

For what its worth...

Take care,

JD


Thanks for the link. I check whether it is easy to adapt my plugin to the new framework.


Previous Topic:Editor type based on document location
Next Topic:how to organize imports via command
Goto Forum:
  


Current Time: Thu Oct 23 08:44:56 GMT 2014

Powered by FUDForum. Page generated in 0.01679 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software